Bug 455939 - Can't connect with iwl3945 chip to access point (timeout on auth)
Can't connect with iwl3945 chip to access point (timeout on auth)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 17:44 EDT by Laurent MINOST
Modified: 2008-12-18 13:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 13:49:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System logs and others informations (5.64 KB, application/x-gzip)
2008-07-18 17:44 EDT, Laurent MINOST
no flags Details

  None (edit)
Description Laurent MINOST 2008-07-18 17:44:57 EDT
Description of problem:

Can't connect to WPA wifi AP with my intel 3945ABG chip on a Packard Bell
Easynote MX Series.

Version-Release number of selected component (if applicable):
All system informations are provided in attached gzipped logs.

How reproducible:

Simply try to connect to an Access Point under Fedora 9 with iwl3945 module
enabled and Network Manager

Actual results:

Can't connect stating in /var/log/messages :
Jul 18 01:35:57 tiloup kernel: wlan0: authenticate with AP 5a:16:59:16:1b:08
Jul 18 01:35:57 tiloup kernel: wlan0: authenticate with AP 5a:16:59:16:1b:08
Jul 18 01:35:57 tiloup kernel: wlan0: authenticate with AP 5a:16:59:16:1b:08
Jul 18 01:35:57 tiloup kernel: wlan0: authentication with AP 5a:16:59:16:1b:08
timed out
Jul 18 01:36:06 tiloup NetworkManager: <info>  wlan0: link timed out.


Expected results:

Successful connection to Access Point like it should be.


Additional info:
Attached in tar.gz file
Comment 1 Laurent MINOST 2008-07-18 17:44:57 EDT
Created attachment 312173 [details]
System logs and others informations
Comment 2 Matthias Saou 2008-08-08 07:22:47 EDT
Reassigning to the component owner.
Comment 3 David Nielsen 2008-09-13 18:51:20 EDT
Reassigning to John Linville as he is our wifi overlord.

I am seeing the same sort of time out after updating to kernel-2.6.26.3-29.fc9 which has just been rolled out as a stable update.
Comment 4 Laurent MINOST 2008-09-13 19:13:13 EDT
Hi,

Thanks for your comments.
Due to this problem, I finally uninstalled Fedora 9 from this laptop and tried to install Ubuntu 8.04 and also 8.04.1, this was also a failure as it was impossible to connect to any Wifi access point with these distros and my laptop.
So I finally gave up with these 3 distros and for my curiosity tried with Ubuntu 7.10 and what a surprise : everything is working perfect with this one, wifi connection is established immediately and no time out so this is surely a good info/starting point of investigation for John, something in the kernel code or in the wifi driver (ipw3945 vs iwl3945) that has changed.

At your disposal to do any other tests if needed.

Thanks for your time and support.

Laurent
Comment 5 John W. Linville 2008-10-23 13:31:03 EDT
Could you put another device in monitor mode, then capture the output of wireshark (or even tcpdump) from there while you try to connect with the iwl3945 to the AP?
Comment 6 John W. Linville 2008-12-18 13:49:41 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.